package frc.robot.constants;

public class ShooterConstants {
    public static final int kShooterFireSpeed = 0;

    //Motor CANIDs//
    public static final int kFrontMotorCAN = 5;
    public static final int kRearMotorCAN = 6;

    //Encoder Constants//
    public static final double kDistancePerPulse = 0;

    public static final int kFrontEncoderA = 0;
    public static final int kFrontEncoderB = 1;
    public static final boolean kInvertFrontEncoder = false;

    public static final int kRearEncoderA = 2;
    public static final int kRearEncoderB = 3;
    public static final boolean kInvertRearEncoder = false;

    //Controller Constants//
    public static final int kBangBangTolerance = 0;

    public static final int kFFS = 0;
    public static final int kFFG = 0;
    public static final int kFFV = 0;

    public static final int kBangBangScale = 8;
}
