package frc.robot.subsystems;

import java.util.function.DoubleSupplier;

import com.ctre.phoenix.motorcontrol.can.WPI_VictorSPX;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.IndexerConstants;

public class Indexer extends SubsystemBase {
    private WPI_VictorSPX motor1;

    //construtor//
    public Indexer(){
        motor1 = new WPI_VictorSPX(IndexerConstants.kIndexerMotorCAN);
    }

    //indexer commands//
    public Command runIndexer(DoubleSupplier speed) {
        return run(() -> {
            motor1.set(speed.getAsDouble());
        });
    }

    public Command stopIndexer() {
        return run(() -> {
            motor1.set(0);
        });
    }
}