package frc.robot.subsystems;

import com.ctre.phoenix.motorcontrol.can.WPI_VictorSPX;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.IntakeConstants;

public class Intake extends SubsystemBase {
    private WPI_VictorSPX motor1;

    //constructor//
    public Intake() {
        motor1 = new WPI_VictorSPX(IntakeConstants.kIntakeMotorCAN);
    }

    //intake commands//
    public Command runIntake(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopIntake() {
        return run(() -> {
            motor1.set(0);
        });
    }
}